collapse

* Notice

Important notice: Currently emails from this forum are being automatically blocked by many email providers, claiming Planetvampire.com has a "low reputation". As such you may struggle to register and/or submit password reset requests. If you require help, please email admin@planetvampire.com for assistance. In the meantime we are continuing to work on this issue.

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Unofficial Patch 11.3 has been released!  (Read 13519 times)

Offline Wesp5

  • Administratrix
  • Antediluvian
  • *****
  • Posts: 8279
  • Reputation: +922/-31
  • Unofficial Patcher
Re: Unofficial Patch 11.3 has been released!
« Reply #315 on: November 21, 2022, 02:32:18 pm »
Personally, it works well for me.
Great! Let's see how it works for others and especially my beta tester. Sadly somebody on Steam already says that even 11.3 RC 7.1 does not work on Linux for him:
https://steamcommunity.com/app/2600/discussions/0/3550553789965763086/

Quote
Now after installing the patch, a new checkbox pops up, in addition to launching plus the patch and viewing the readme, that you can run the original 1.2 game. What for?
I made this because often people claim that the patch doesn't allow to play the vanilla game. We don't need the loader menu here, as the original shortcuts will start it!

Quote
Why change Johnny's state? If we go to him as usual, he will stand in front of the screen in a state of trance.
Somebody on Reddit complained that if you enter using stealth and then attack him normally he would still not see you at all which is stupid.

Quote
In the final mission for the hunter, when we leave the monastery on the street, we are attacked by our brothers.
If this is a random bug, I can't fix it. Unless it is a hunter I forgot to pacify, but I think I checked all of them the last time you reported this...
« Last Edit: November 21, 2022, 02:50:59 pm by Wesp5 »

Offline Psycho-A

  • Russian Board Moderator
  • Methuselah
  • *
  • Posts: 309
  • Reputation: +37/-3
  • Bloodlines SDK developer
Re: Unofficial Patch 11.3 has been released!
« Reply #316 on: November 22, 2022, 03:35:52 pm »
Quote
Great! Let's see how it works for others and especially my beta tester. Sadly somebody on Steam already says that even 11.3 RC 7.1 does not work on Linux for him:
Could you please ask him to try to run game using terminal command "wine Vampire.exe" or even "windecmd Vampire.exe" instead of shell-executing or from Steam? I tested some Win32 programs year ago, and found there's differences between these modes for some reasons. Also it's good to know which error on Wine does he see after he's launching the loader, since I still didn't installed the Mint distro myself (I already had it installed earlier, but sadly I had to delete that partition on the disk).
« Last Edit: November 23, 2022, 01:33:37 am by Psycho-A »

Offline Wesp5

  • Administratrix
  • Antediluvian
  • *****
  • Posts: 8279
  • Reputation: +922/-31
  • Unofficial Patcher
Re: Unofficial Patch 11.3 has been released!
« Reply #317 on: November 22, 2022, 04:35:45 pm »
Done. I also asked him to compare the old 32bit exe with the new 4 GB fixed exe, maybe this can cause issues under Linux? For all other having issues I uploaded a hotfix today including the old loader.exe, loader.dll and launcher.dll from 11.2 as a safety net. Or do they only work with the old vampire.exe?

Offline Psycho-A

  • Russian Board Moderator
  • Methuselah
  • *
  • Posts: 309
  • Reputation: +37/-3
  • Bloodlines SDK developer
Re: Unofficial Patch 11.3 has been released!
« Reply #318 on: November 23, 2022, 01:31:31 am »
Quote
Or do they only work with the old vampire.exe?
Yes, they do, although you can save only one 4GB-fixed version of it. Just use the fileset from your older patches in "Tools/Game Mod Loader" folder as this is a self-sufficient one - so, on issues, users may just copy it all into the main game folder and replacing files.

Offline Wesp5

  • Administratrix
  • Antediluvian
  • *****
  • Posts: 8279
  • Reputation: +922/-31
  • Unofficial Patcher
Re: Unofficial Patch 11.3 has been released!
« Reply #319 on: November 23, 2022, 10:01:25 am »
Quote
Or do they only work with the old vampire.exe?
Yes, they do, although you can save only one 4GB-fixed version of it.
On my system, loader.exe from 15.02.22 with loader.dll from 27.10.2018 and launcher.dll from 23.10.2018 works fine with the latest Vampire.exe, is that what you mean?
« Last Edit: November 23, 2022, 10:17:16 am by Wesp5 »

Offline Psycho-A

  • Russian Board Moderator
  • Methuselah
  • *
  • Posts: 309
  • Reputation: +37/-3
  • Bloodlines SDK developer
Re: Unofficial Patch 11.3 has been released!
« Reply #320 on: November 23, 2022, 11:33:03 am »
Quote
On my system, loader.exe from 15.02.22 with loader.dll from 27.10.2018 and launcher.dll from 23.10.2018 works fine with the latest Vampire.exe, is that what you mean?
If you mean latest Vampire.exe from UP 11.2 or older, then it's OK. But if it's our new merged Vampire.exe loader, then it doesn't read loader.dll and other old stuff from legacy loader (launcher.dll, loader/*.vtm etc). It will work as intended, but will just ignore all this stuff, and it will be useless as "workaround". So, for legacy separated loader, you only need the original 60-80 kb Vampire.exe from 11.2 (or eralier) in your Loader folder in Patch_Extras (just like before).

To put it simply, just use old "Game Mod Loader" folder from 11.2 as is :). Just rename "Vampire_4GB_fixed.exe" to "Vampire.exe" there. This folder will be a workaround for those who needs this.
« Last Edit: November 23, 2022, 11:38:10 am by Psycho-A »

Offline Wesp5

  • Administratrix
  • Antediluvian
  • *****
  • Posts: 8279
  • Reputation: +922/-31
  • Unofficial Patcher
Re: Unofficial Patch 11.3 has been released!
« Reply #321 on: November 23, 2022, 02:38:12 pm »
But if it's our new merged Vampire.exe loader, then it doesn't read loader.dll and other old stuff from legacy loader (launcher.dll, loader/*.vtm etc).
I guessed as much, but what I meant is that people can run loader.exe instead of the new vampire.exe and it will work. Because my beta tester still has the problem that he gets crashes with the new vampire.exe after the character creation and there is the Steam guy who can't run it in Linux Mint.

 

SimplePortal 2.3.7 © 2008-2022, SimplePortal